#! /bin/bash
#############################################################################
#
# Copyright (c) 2007-2008, Intel Corporation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#  1. Redistributions of source code must retain the above copyright notice,
#     this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#
#  3. Neither the name of the Intel Corporation nor the names of its
#     contributors may be used to endorse or promote products derived from
#     this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
# LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
#
#############################################################################
# SCRIPTNAME=dhcp_renew.sh
SCRIPTNAME=$0
IFNAME=$2
EXIT_STATUS=0

LOGFILE="/var/log/wimax/dhcp.$IFNAME.log"

#============================================

date >> $LOGFILE
echo "Performing" $1 "operation" >>$LOGFILE

case "$1" in
#
# Lease a new IP
#
    lease)
	/sbin/dhcpcd "$IFNAME" >/dev/null 2>&1
	EXIT_STATUS=$?
	echo  "Exit status of dhclient = " $EXIT_STATUS>> $LOGFILE
	;;
#
# Reaquire an IP lease
#
    renew)
	/sbin/dhcpcd -n "$IFNAME" >/dev/null 2>&1
	EXIT_STATUS=$?
	echo  "Exit status of dhclient = " $EXIT_STATUS>> $LOGFILE
	;;
#
# Release an existing IP lease
#
    release)
	/sbin/dhcpcd -k "$IFNAME" >/dev/null 2>&1
	EXIT_STATUS=$?
	echo  "Exit status of dhclient = " $EXIT_STATUS>> $LOGFILE
	;;

#
# default case
#
   *)
        echo "Unrecognized" $0 "argument"
        exit 1
    ;;
esac

echo "Normal process exit from" $0 "script">> $LOGFILE

exit 0
